Skip to main content
POST
/
v1
/
org
/
domain-mappings
/
{domain_mapping_id}
/
sync-triggers
/
{sync_trigger_id}
/
fire
Fire Domain Mapping Sync Trigger
curl --request POST \
  --url https://api.twine.se/v1/org/domain-mappings/{domain_mapping_id}/sync-triggers/{sync_trigger_id}/fire \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "job_id": "123e4567-e89b-12d3-a456-426614174000",
  "status": "success"
}

Authorizations

Authorization
string
header
required

Bearer token for authentication

Path Parameters

domain_mapping_id
string
required

The UUID of the domain mapping to trigger sync for

sync_trigger_id
string
required

The identifier of the sync trigger to fire

Body

application/json

FireSyncTriggerRequest

Schema for firing a sync trigger

Response

Sync Triggered Response

Response schema for firing a sync trigger.

job_id
string | null

The UUID of the background job that was created to handle the sync. Will only be set if the trigger was successfully fired.

Example:

"123e4567-e89b-12d3-a456-426614174000"

status
enum<string>

Status of the sync trigger

Available options:
success,
failure
Example:

"success"